| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
mem_allocator.hpp File Reference
Private

this is the base class of object that can provide dynamically allocated memory blocks More...

`#include "../my_config.h"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Classes
class | libdar::mem_allocator
| generic interface of objects that need to be informed that a memory block they manage has been released More...
class | libdar::mem_manager
| generic interface of memory managers that create and delete mem_allocator objects depending on requests More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

this is the base class of object that can provide dynamically allocated memory blocks

Definition in file mem_allocator.hpp.